/* Sophos Anti-Virus for OS/2 - Intercheck
   IchkStrt 1.00 Beta   June 2001
   Copyright (c) 2001 Sophos Plc, www.sophos.com
   Start optional Intercheck programs. */

CALL RxFuncAdd "SysLoadFuncs", "RexxUtil", "SysLoadFuncs"
CALL SysLoadFuncs

PARSE SOURCE . . CmdPath
CmdDir = FILESPEC("D", CmdPath) || FILESPEC("P", CmdPath)

"@ECHO OFF"
"SETLOCAL"

SettingsFile = CmdDir || "STARTIC.CMD"
IF FileExists(SettingsFile) THEN
	"CALL" SettingsFile

IF StartSetting("MONITOR") THEN
	CALL StartProgram "MONITOR", CmdDir, ""

startPopup = StartSetting("POPUP")
startNotifier = StartSetting("NOTIFIER")
IF startPopup | startNotifier THEN DO
	PopupOptions = ""
	IF \ startPopup THEN
		PopupOptions = PopupOptions "p"
	IF \ startNotifier THEN
		PopupOptions = PopupOptions "n"
	CALL StartProgram "NOTIFY", CmdDir, PopupOptions
END

"ENDLOCAL"

EXIT 0


StartProgram: PROCEDURE
	PARSE ARG program, dir, options
	path = dir || program || ".EXE"
	IF FileExists(path) THEN
		"START /N" path options
	RETURN


/* Return 1 if given element is selected for starting, 0 otherwise. */
StartSetting: PROCEDURE
	ARG element
	c = TRANSLATE(LEFT(VALUE("START_" || element, , "OS2ENVIRONMENT"), 1))
	RETURN (c \= "N" & c \= "0")


FileExists: PROCEDURE
	PARSE ARG Filename
	Found = 0
	IF SysFileTree(Filename, Files, "FO") = 0 THEN
		IF Files.0 > 0 THEN
			Found = 1
	RETURN Found
